package binky.ofc2plugin.charts.config;

import java.util.List;

import org.json.simple.JSONObject;

public abstract class Axis {
	private int stroke=1;
	private String colourHex="#000000";
	private String gridColourHex="#000000";
	private List<? extends Object> labels;
	
	public abstract JSONObject encode();
	
	public List<? extends Object> getLabels() {
		return labels;
	}

	public void setLabels(List<? extends Object> labels) {
		this.labels = labels;
	}

	public int getStroke() {
		return stroke;
	}
	public void setStroke(int stroke) {
		this.stroke = stroke;
	}
	public String getColourHex() {
		return colourHex;
	}
	public void setColourHex(String colourHex) {
		this.colourHex = colourHex;
	}
	public String getGridColourHex() {
		return gridColourHex;
	}
	public void setGridColourHex(String gridColourHex) {
		this.gridColourHex = gridColourHex;
	}

}
