package binky.ofc2plugin.charts.config;

import org.json.simple.JSONObject;

public class XAxis extends Axis {

	private int tickHeight = 1;

	@SuppressWarnings("unchecked")
	@Override
	public JSONObject encode() {
		JSONObject axis = new JSONObject();

		// encode the x-axis data
		axis.put("stroke", super.getStroke());
		axis.put("tick_height", this.tickHeight);
		axis.put("colour", super.getColourHex());
		axis.put("grid_colour", super.getGridColourHex());
		if (super.getLabels() != null) {
			JSONObject labels = new JSONObject();
			labels.put("labels", super.getLabels());
			axis.put("labels", labels);
		}
		return axis;
	}

	public int getTickHeight() {
		return tickHeight;
	}

	public void setTickHeight(int tickHeight) {
		this.tickHeight = tickHeight;
	}

}
