package binky.ofc2plugin.charts.elements;

import org.json.simple.JSONObject;

public abstract class ElementLineBase  extends ElementNotPie {
	private int dotSize;
	private int width;
	
	public int getDotSize() {
		return dotSize;
	}
	public void setDotSize(int dotSize) {
		this.dotSize = dotSize;
	}
	public int getWidth() {
		return width;
	}
	public void setWidth(int width) {
		this.width = width;
	}

	@SuppressWarnings("unchecked")
	@Override
	public JSONObject encode() {
		JSONObject me = new JSONObject();
		me.put("dot-size", dotSize);
		me.put("width", width);
		me.putAll( super.encode());		
		return me;
	}
	

}
