package binky.ofc2plugin.charts.elements;


public class ElementStandardBar extends ElementBarBase {

	public enum BarType {

		Standard("bar_filled"), ThreeD("bar_3d"), Glass("bar_glass"), Sketch(
				"bar_sketch"), Cylinder("bar_cylinder"), BarDome("bar_dome");

		private String displayName;

		BarType(String displayName) {
			this.displayName = displayName;
		}

		public String getName() {
			return name();
		}

		public String getDisplayName() {
			return displayName;
		}

	}

	private BarType barType = BarType.Standard;

	public BarType getBarType() {
		return barType;
	}

	public void setBarType(BarType barType) {
		this.barType = barType;
		super.elementName = barType.getDisplayName();
	}

	public ElementStandardBar() {}
	
	public ElementStandardBar(BarType barType) {
		this.barType=barType;
		super.elementName = barType.getDisplayName();

	}
}
