
package binky.ofc2plugin.taglib;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts2.components.Component;
import org.apache.struts2.views.jsp.ComponentTagSupport;

import binky.ofc2plugin.struts2.Chart;

import com.opensymphony.xwork2.util.ValueStack;

public class ChartTag extends ComponentTagSupport {
	private static final long serialVersionUID = 1095785368152936862L;

	private String width="320";
	private String height="200";
	private String dataUrl="dataUrl";
	private String id="id";
	
	protected void populateParams() {
		super.populateParams();
		
		Chart chart = (Chart) component;
		chart.setWidth(this.width);
		chart.setHeight(this.height);
		chart.setDataUrl(this.dataUrl);
		chart.setId(id);
	}
	public Component getBean(
			ValueStack stack, 
			HttpServletRequest request,
			HttpServletResponse response) {

		return new Chart(stack, request, response);
	}
	public String getWidth() {
		return width;
	}
	public void setWidth(String width) {
		this.width = width;
	}
	public String getHeight() {
		return height;
	}
	public void setHeight(String height) {
		this.height = height;
	}
	public String getDataUrl() {
		return dataUrl;
	}
	public void setDataUrl(String dataUrl) {
		this.dataUrl = dataUrl;
	}
	public String getId() {
		return id;
	}
	public void setId(String id) {
		this.id = id;
	}

	
	
}
