package binky.ofc2plugin.charts.json;

import java.text.DecimalFormat;

import org.json.simple.JSONAware;

public final class OFCNumber implements JSONAware {

	private Number number;
	
	private static final String formatString = "#0.00##";
	
	public OFCNumber(Number number) {
		this.number=number;
	}
	
	@Override
	public String toJSONString() {
		DecimalFormat format = new DecimalFormat(formatString);
		return format.format(number);
	}

}
