
package binky.ofc2plugin.struts2;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts2.components.UIBean;

import com.opensymphony.xwork2.util.ValueStack;

public class Chart extends UIBean {
	
	public static final String TEMPLATE = "chart";

	private String width;
	private String height;
	private String dataUrl;
	private String id;
	
	
	public Chart(ValueStack stack, HttpServletRequest request, HttpServletResponse response) {
        super(stack, request, response);
    }
	protected String getDefaultTemplate() {
		return TEMPLATE;
	}
	public void evaluateParams() {
		super.evaluateParams();
		
		if(width != null)
            addParameter("width", findString(width));
		if(height != null)
            addParameter("height", findString(height));
		if(dataUrl != null)
           addParameter("dataUrl", findString(dataUrl));
		}
	public String getWidth() {
		return width;
	}
	public void setWidth(String width) {
		this.width = width;
	}
	public String getHeight() {
		return height;
	}
	public void setHeight(String height) {
		this.height = height;
	}
	public String getDataUrl() {
		return dataUrl;
	}
	public void setDataUrl(String dataUrl) {
		this.dataUrl = dataUrl;
	}
	public String getId() {
		return id;
	}
	public void setId(String id) {
		this.id = id;
	}
	
}



	

