
package binky.ofc2plugin.taglib.freemarker;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import com.opensymphony.xwork2.util.ValueStack;

public class ChartModels {

	private ChartModel chart;
	
	
    private ValueStack stack;
    private HttpServletRequest req;
    private HttpServletResponse res;
    
    public ChartModels(ValueStack stack, HttpServletRequest req, HttpServletResponse res) {
        this.stack = stack;
        this.req = req;
        this.res = res;
    }
    
    public ChartModel getChart() {
        if (chart == null) {
        	chart = new ChartModel(stack, req, res);
        }

        return chart;
    }
}
